Skip to main content
PATCH
cURL

Authorizations

X-API-Key
string
header
required

Customer API key created in the Sendora dashboard.

Headers

X-API-Key
string | null
Authorization
string | null

Path Parameters

id
string
required

The registration's id: the id from List or read SMS registrations. Send the matching type with it.

Body

application/json
type
string
required

Type returned by the Sendora API.

Allowed value: "brand"
business_contact_email
string | null

Business contact email returned by the Sendora API.

Maximum string length: 200
city
string | null

City returned by the Sendora API.

Maximum string length: 100
company_name
string | null

Company name returned by the Sendora API.

Maximum string length: 100
country
string | null

Country returned by the Sendora API.

Maximum string length: 4
display_name
string | null

Display name returned by the Sendora API.

Maximum string length: 100
ein
string | null

Ein returned by the Sendora API.

Maximum string length: 20
email
string | null

Email returned by the Sendora API.

Maximum string length: 200
entity_type
string | null

Entity type returned by the Sendora API.

Maximum string length: 40
first_name
string | null

First name returned by the Sendora API.

Maximum string length: 100
last_name
string | null

Last name returned by the Sendora API.

Maximum string length: 100
mobile_phone
string | null

Mobile phone returned by the Sendora API.

Maximum string length: 30
phone
string | null

Phone returned by the Sendora API.

Maximum string length: 30
postal_code
string | null

Postal code returned by the Sendora API.

Maximum string length: 12
state_code
string | null

State code returned by the Sendora API.

Maximum string length: 20
stock_exchange
string | null

Stock exchange returned by the Sendora API.

Maximum string length: 10
stock_symbol
string | null

Stock symbol returned by the Sendora API.

Maximum string length: 10
street
string | null

Street returned by the Sendora API.

Maximum string length: 100
vertical
string | null

Vertical returned by the Sendora API.

Maximum string length: 40
website
string | null

Website returned by the Sendora API.

Maximum string length: 200

Response

Successful Response

can_delete
boolean
required

Can delete returned by the Sendora API.

can_edit
boolean
required

Can edit returned by the Sendora API.

can_request_vetting
boolean
required

Can request vetting returned by the Sendora API.

can_revet
boolean
required

Can revet returned by the Sendora API.

created_at
string
required

Created at returned by the Sendora API.

display_name
string
required

Display name returned by the Sendora API.

entity_type
string
required

Entity type returned by the Sendora API.

public_id
string
required

The registration's id. Pass it as id to edit, delete or run an action on it.

state
string
required

State returned by the Sendora API.

trust
string
required

Trust returned by the Sendora API.

business_contact_email
string | null

Business contact email returned by the Sendora API.

city
string | null

City returned by the Sendora API.

company_name
string | null

Company name returned by the Sendora API.

country
string
default:US

Country returned by the Sendora API.

delete_blocked_reason
string | null

Delete blocked reason returned by the Sendora API.

ein_last4
string | null

Ein last4 returned by the Sendora API.

email
string | null

Email returned by the Sendora API.

events
Events · object[] | null

Timeline, when include=events

first_name
string | null

First name returned by the Sendora API.

issues
IssueOut · object[]

Issues returned by the Sendora API.

last_name
string | null

Last name returned by the Sendora API.

mobile_phone
string | null

Mobile phone returned by the Sendora API.

phone
string | null

Phone returned by the Sendora API.

postal_code
string | null

Postal code returned by the Sendora API.

state_code
string | null

State code returned by the Sendora API.

status_text
string
default:""

Status text returned by the Sendora API.

stock_exchange
string | null

Stock exchange returned by the Sendora API.

stock_symbol
string | null

Stock symbol returned by the Sendora API.

street
string | null

Street returned by the Sendora API.

type
string
default:brand

Type returned by the Sendora API.

Allowed value: "brand"
updated_at
string | null

Updated at returned by the Sendora API.

vertical
string | null

Vertical returned by the Sendora API.

website
string | null

Website returned by the Sendora API.